
Redmine - Defect #38190

Error updating database: NoMethodError: undefined method `yaml_column_permitted_classes=' for

ActiveRecord::Base:Class

2023-01-17 20:13 - eric cheng

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 5.0.3

Description

Hi,

I'm upgrading redmine from 4.1.1 to 5.0.4

Redmine version                4.1.1.stable

Ruby version                   2.5.7-p206 (2019-10-01) [x86_64-linux]

Rails version                  5.2.4.2

i've upgraded rails to 6.1.0 and ruby to 3.1.3

ruby -v

ruby 3.1.3p185 (2022-11-24 revision 1a6b16756e) [x86_64-linux]

rails -v

Resolving dependencies...

Rails 6.1.0

When running this command bundle exec rake db:migrate RAILS_ENV=production  got the following error

[redmine@ip-10-150-0-123 redmine-5.0.4]$ bundle exec rake db:migrate RAILS_ENV=production

rake aborted!

NoMethodError: undefined method `yaml_column_permitted_classes=' for ActiveRecord::Base:Class

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/activerecord-6.1.0/lib/active_record/dynamic_matchers.rb:22:in `method_missing'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/activerecord-6.1.0/lib/active_record/railtie.rb:209:in `block (3 levels) in <class:Railtie>'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/activerecord-6.1.0/lib/active_record/railtie.rb:208:in `each'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/activerecord-6.1.0/lib/active_record/railtie.rb:208:in `block (2 levels) in <class:Railtie>'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/activesupport-6.1.0/lib/active_support/lazy_load_hooks.rb:71:in `class_eval'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/activesupport-6.1.0/lib/active_support/lazy_load_hooks.rb:71:in `block in execute_hook'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/activesupport-6.1.0/lib/active_support/lazy_load_hooks.rb:61:in `with_execution_control'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/activesupport-6.1.0/lib/active_support/lazy_load_hooks.rb:66:in `execute_hook'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/activesupport-6.1.0/lib/active_support/lazy_load_hooks.rb:52:in `block in run_load_hooks'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/activesupport-6.1.0/lib/active_support/lazy_load_hooks.rb:51:in `each'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/activesupport-6.1.0/lib/active_support/lazy_load_hooks.rb:51:in `run_load_hooks'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/activerecord-6.1.0/lib/active_record/base.rb:315:in `<module:ActiveRecord>'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/activerecord-6.1.0/lib/active_record/base.rb:15:in `<top (required)>'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/zeitwerk-2.6.6/lib/zeitwerk/kernel.rb:38:in `require'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/zeitwerk-2.6.6/lib/zeitwerk/kernel.rb:38:in `require'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/activesupport-6.1.0/lib/active_support/dependencies.rb:332:in `block in require'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/activesupport-6.1.0/lib/active_support/dependencies.rb:299:in `load_dependency'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/activesupport-6.1.0/lib/active_support/dependencies.rb:332:in `require'

/opt/redmine/redmine-5.0.4/lib/plugins/acts_as_activity_provider/init.rb:4:in `block in <top (required)>'

/opt/redmine/redmine-5.0.4/config/initializers/00-core_plugins.rb:10:in `eval'

/opt/redmine/redmine-5.0.4/config/initializers/00-core_plugins.rb:10:in `block in <top (required)>'

/opt/redmine/redmine-5.0.4/config/initializers/00-core_plugins.rb:4:in `each'

/opt/redmine/redmine-5.0.4/config/initializers/00-core_plugins.rb:4:in `<top (required)>'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/activesupport-6.1.0/lib/active_support/dependencies.rb:326:in `load'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/activesupport-6.1.0/lib/active_support/dependencies.rb:326:in `block in load'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/activesupport-6.1.0/lib/active_support/dependencies.rb:299:in `load_dependency'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/activesupport-6.1.0/lib/active_support/dependencies.rb:326:in `load'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/railties-6.1.0/lib/rails/engine.rb:681:in `block in load_config_initializer'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/activesupport-6.1.0/lib/active_support/notifications.rb:205:in `instrument'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/railties-6.1.0/lib/rails/engine.rb:680:in `load_config_initializer'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/railties-6.1.0/lib/rails/engine.rb:634:in `block (2 levels) in <class:Engine>'
/opt/redmine/.rvm/gems/ruby-3.1.3/gems/railties-6.1.0/lib/rails/engine.rb:633:in `each'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/railties-6.1.0/lib/rails/engine.rb:633:in `block in <class:Engine>'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/railties-6.1.0/lib/rails/initializable.rb:32:in `instance_exec'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/railties-6.1.0/lib/rails/initializable.rb:32:in `run'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/railties-6.1.0/lib/rails/initializable.rb:61:in `block in run_initializers'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/railties-6.1.0/lib/rails/initializable.rb:50:in `each'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/railties-6.1.0/lib/rails/initializable.rb:50:in `tsort_each_child'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/railties-6.1.0/lib/rails/initializable.rb:60:in `run_initializers'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/railties-6.1.0/lib/rails/application.rb:384:in `initialize!'

/opt/redmine/redmine-5.0.4/config/environment.rb:16:in `<top (required)>'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/zeitwerk-2.6.6/lib/zeitwerk/kernel.rb:38:in `require'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/zeitwerk-2.6.6/lib/zeitwerk/kernel.rb:38:in `require'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/activesupport-6.1.0/lib/active_support/dependencies.rb:332:in `block in require'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/activesupport-6.1.0/lib/active_support/dependencies.rb:299:in `load_dependency'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/activesupport-6.1.0/lib/active_support/dependencies.rb:332:in `require'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/railties-6.1.0/lib/rails/application.rb:360:in `require_environment!'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/railties-6.1.0/lib/rails/application.rb:526:in `block in run_tasks_blocks'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/bundler-2.4.4/lib/bundler/cli/exec.rb:58:in `load'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/bundler-2.4.4/lib/bundler/cli/exec.rb:58:in `kernel_load'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/bundler-2.4.4/lib/bundler/cli/exec.rb:23:in `run'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/bundler-2.4.4/lib/bundler/cli.rb:491:in `exec'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/bundler-2.4.4/lib/bundler/vendor/thor/lib/thor/command.rb:27:in `run'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/bundler-2.4.4/lib/bundler/vendor/thor/lib/thor/invocation.rb:127:in `invoke_command'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/bundler-2.4.4/lib/bundler/vendor/thor/lib/thor.rb:392:in `dispatch'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/bundler-2.4.4/lib/bundler/cli.rb:34:in `dispatch'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/bundler-2.4.4/lib/bundler/vendor/thor/lib/thor/base.rb:485:in `start'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/bundler-2.4.4/lib/bundler/cli.rb:28:in `start'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/bundler-2.4.4/exe/bundle:45:in `block in <top (required)>'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/bundler-2.4.4/lib/bundler/friendly_errors.rb:117:in `with_friendly_errors'

/opt/redmine/.rvm/gems/ruby-3.1.3/gems/bundler-2.4.4/exe/bundle:33:in `<top (required)>'

/opt/redmine/.rvm/gems/ruby-3.1.3/bin/bundle:25:in `load'

/opt/redmine/.rvm/gems/ruby-3.1.3/bin/bundle:25:in `<main>'

Tasks: TOP => db:migrate => db:load_config => environment

(See full trace by running task with --trace)

Thanks

History

#1 - 2023-01-18 02:11 - Pavel Rosický

Redmine 5 is based on Rails 6.1.7, it seems you've manually modified the Rails version to 6.1.0 for some reason... check your Gemfile 

https://github.com/redmine/redmine/blob/5.0-stable/Gemfile#L6

#2 - 2023-01-18 02:37 - Go MAEDA

- Category deleted (Administration)

- Status changed from New to Closed

- Resolution set to Invalid
